clc
clear all
close all

fichier = 'Dataset\Shear_Wave_Rot00_CSV_Data\Shear_x001-x101_y010_Rot00.csv';

donnees = readtable(fichier);

first_row = table2array(donnees(1,:));

m_hat = abs(hilbert(first_row));
%filtre passe bas
fs=600.0;
cutoff=3.667;
order=5;
nyq = 0.5 * fs;
normal_cutoff = cutoff / nyq;
[b, a] = butter(order, normal_cutoff, 'low');
filtered_m_hat = filter(b, a, m_hat);

plot(first_row);
title('Graphe de first\_row');
xlabel('Indice');
ylabel('|first\_row|');
figure
plot(m_hat);
title('Graphe de m\_hat');
xlabel('Indice');
ylabel('|m\_hat|');
figure
plot(filtered_m_hat);
title('Graphe de filtered\_m\_hat');
xlabel('Indice');
ylabel('|filtered\_m\_hat|');
